Ubuntu

Change log for “libtool” package in Ubuntu

142 of 42 results
Published in trusty-release on 2014-02-11
Deleted in trusty-proposed (Reason: moved to release)
libtool (2.4.2-1.7ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

Superseded in trusty-release on 2014-02-11
Deleted in trusty-proposed on 2014-02-12 (Reason: moved to release)
libtool (2.4.2-1.6ubuntu3) trusty; urgency=medium

  * Switch libtool back to Multi-Arch: foreign for now, as Multi-Arch:
    allowed causes widespread problems with cross-building (see
    https://lists.debian.org/debian-devel/2014/01/msg00182.html).
 -- Colin Watson <email address hidden>   Mon, 13 Jan 2014 17:32:08 +0000
Superseded in trusty-release on 2014-01-13
Deleted in trusty-proposed on 2014-01-15 (Reason: moved to release)
libtool (2.4.2-1.6ubuntu2) trusty; urgency=medium

  * Revert the package split and mark libtool Multi-Arch: allowed.
 -- Adam Conrad <email address hidden>   Wed, 08 Jan 2014 01:40:16 -0700
Superseded in trusty-release on 2014-01-08
Deleted in trusty-proposed on 2014-01-09 (Reason: moved to release)
libtool (2.4.2-1.6ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Split-out the libtool binary into a libtool-bin package, which
    is not Multi-Arch: foreign. Let libtool recommend libtool-bin.

Superseded in trusty-proposed on 2014-01-02
libtool (2.4.2-1.4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
  * Split-out the libtool binary into a libtool-bin package, which
    is not Multi-Arch: foreign.

Superseded in trusty-release on 2014-01-03
Deleted in trusty-proposed on 2014-01-05 (Reason: moved to release)
libtool (2.4.2-1.3ubuntu2) trusty; urgency=low

  * powerpc*le-linux support (taken from upstream).
 -- Matthias Klose <email address hidden>   Mon, 18 Nov 2013 11:43:38 +0100
Superseded in trusty-release on 2013-11-18
Published in saucy-release on 2013-07-03
Deleted in saucy-proposed (Reason: moved to release)
libtool (2.4.2-1.3ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

Superseded in saucy-release on 2013-07-03
Published in raring-release on 2012-11-28
Deleted in raring-proposed (Reason: moved to release)
libtool (2.4.2-1.2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Dropped change (apparently no longer needed):
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.

Superseded in raring-release on 2012-11-28
Deleted in raring-proposed on 2012-11-29 (Reason: moved to release)
libtool (2.4.2-1.1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.

Superseded in raring-release on 2012-10-31
Published in quantal-release on 2012-10-05
libtool (2.4.2-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Fri, 05 Oct 2012 09:39:10 +0100

Available diffs

Superseded in quantal-release on 2012-10-05
Published in precise-release on 2011-11-12
libtool (2.4.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Mark libtool Multi-Arch: foreign; needed because it's a
      build-dependency.
  * Dropped changes, included in Debian:
    - Build libltdl for multiarch.
  * Dropped changes:
    - Fix the 'clean' target for the case where tests are not run: this
      seems to be solved upstream, clean works fine after a
      DEB_BUILD_OPTIONS=nocheck run without this.

Available diffs

Superseded in precise-release on 2011-11-12
libtool (2.4-4ubuntu4) precise; urgency=low

  * Er, *actually* mark libtool multi-arch: foreign.
 -- Steve Langasek <email address hidden>   Sat, 05 Nov 2011 00:50:21 -0400

Available diffs

Superseded in precise-release on 2011-11-05
libtool (2.4-4ubuntu3) precise; urgency=low

  * Mark libtool Multi-Arch: foreign; needed because it's a
    build-dependency.
 -- Steve Langasek <email address hidden>   Sat, 05 Nov 2011 04:45:32 +0000

Available diffs

Superseded in precise-release on 2011-11-05
libtool (2.4-4ubuntu2) precise; urgency=low

  * Build libltdl for multiarch.
 -- Steve Langasek <email address hidden>   Wed, 26 Oct 2011 22:02:08 +0000

Available diffs

Superseded in precise-release on 2011-10-26
libtool (2.4-4ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Fix the 'clean' target for the case where tests are not run.

Available diffs

Superseded in precise-release on 2011-10-13
Published in oneiric-release on 2011-05-01
libtool (2.4-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Added debian/patches/skip_nonpic_on_arm.patch.
    - Mark Java convenience test as an expected failure, due to
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
    - Fix the 'clean' target for the case where tests are not run.

Available diffs

Superseded in oneiric-release on 2011-05-01
Obsolete in natty-release on 2013-06-04
libtool (2.2.6b-2ubuntu3) natty; urgency=low

  * Fix the 'unpatch' target to clean up .pc afterwards

  [ Peter Pearse ]
  * Fix the 'clean' target for the case where tests are not run.
    LP #720815.
 -- Steve Langasek <email address hidden>   Sun, 06 Mar 2011 17:07:25 -0800

Available diffs

Superseded in natty-release on 2011-03-07
libtool (2.2.6b-2ubuntu2) natty; urgency=low

  * Link tagdemo test with --copy-dt-needed-entries.
  * Mark Java convenience test as an expected failure, due to
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42143.
 -- Colin Watson <email address hidden>   Wed, 16 Feb 2011 10:25:50 +0000

Available diffs

Superseded in natty-release on 2011-02-16
Obsolete in maverick-release on 2013-03-05
Published in lucid-release on 2010-01-06
libtool (2.2.6b-2ubuntu1) lucid; urgency=high

  * Added debian/patches/skip_nonpic_on_arm.patch: (LP: #503176)
    - This disables the non-PIC tests on ARM. Attempting to build a non-PIC
      library on ARMv7 causes the toolchain to bomb. This is a temporary
      workaround for Launchpad Bug #503448, this patch can be dropped once
      GCC properly supports non-PIC shared libraries on ARMv7.
 -- Michael Casadevall <email address hidden>   Tue, 05 Jan 2010 11:28:20 -0500

Available diffs

Superseded in lucid-release on 2010-01-06
libtool (2.2.6b-2) unstable; urgency=low

  * Add build depedency on zlib1g-dev needed by the search-path.at
    testsuite test.  (Closes: #560219)

Available diffs

Superseded in lucid-release on 2009-12-18
Obsolete in karmic-release on 2013-03-04
libtool (2.2.6a-4) unstable; urgency=low

  * link_all_deplibs was only set to no for the CXX tag.  Set it to no
    again for all tags.  (Closes: #522663)
  * Don't let a failed testsuite also fail to build for now.  The combination
    of setting link_all_deplibs=no and the deplib_binary.patch make some test
    fail, but those look like testsuite errors.

Available diffs

Superseded in karmic-release on 2009-05-05
Obsolete in jaunty-release on 2013-02-28
libtool (2.2.6a-1ubuntu1) jaunty; urgency=low

  * Merge from Debian, remaining changes:
    - libltdl7-dev provides libltdl3-dev since the two are API-compatible.
    - do not build-depend on gcj for hppa.
    - install libtool.info-*.gz as well.  LP: #254182.
    - force /bin/bash as shell for generated libtool script.

Available diffs

Superseded in jaunty-release on 2009-01-16
libtool (2.2.4-0ubuntu5) jaunty; urgency=low

  * Force /bin/bash as the shell for the generated libtool script, even if
    /bin/sh happens to be bash on the build system.

 -- Colin Watson <email address hidden>   Wed, 19 Nov 2008 12:26:34 +0000

Available diffs

Superseded in jaunty-release on 2008-11-19
Obsolete in intrepid-release on 2013-02-20
libtool (2.2.4-0ubuntu4) intrepid; urgency=low

  * Install libtool.info-1.gz as well as libtool.info.gz (LP: #254182).

 -- Colin Watson <email address hidden>   Mon, 01 Sep 2008 17:17:40 +0100

Available diffs

Superseded in intrepid-release on 2008-09-01
libtool (2.2.4-0ubuntu3) intrepid; urgency=low

  * Disable gcj on hppa as for hardy, as it still isn't available.

 -- Steve Langasek <email address hidden>   Tue, 29 Jul 2008 17:54:51 +0000

Available diffs

Superseded in intrepid-release on 2008-07-29
libtool (2.2.4-0ubuntu2) intrepid; urgency=low

  * libltdl7-dev should Provide: libltdl3-dev, since these are supposed
    to be API-compatible.

 -- Steve Langasek <email address hidden>   Tue, 29 Jul 2008 01:07:26 +0000

Available diffs

Superseded in intrepid-release on 2008-07-29
libtool (2.2.4-0ubuntu1) intrepid; urgency=low

  * New upstream release:
    - Fixes a number of small bugs and improves the reliability and
      usability of libtoolize.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Scott James Remnant <email address hidden>   Fri, 18 Jul 2008 11:53:11 +0100

Available diffs

Superseded in intrepid-release on 2008-07-18
libtool (2.2.2-1) experimental; urgency=low

  * New upstream release (Closes: #470057)
  * Remove fortran 77 build dependencies (Closes: #463744)
  * Make sure that we use atleast automake 1.10
  * Merge with unstable:
    - Remove comment about being a daily snapshot.
    - Readd watch file.
    - Update copyright file.
    - Use ${binary:Version} in Depends field instead of ${Source-Version}
    - Check for precense of Makefile instead of ignoring failures
      from make distclean, as suggested by lintian.
    - Change patch system from dpatch to quilt.
    - Readded m68k java support.
    - Change DH_COMPAT to a debian/compat file with 4 in it.
  * Remove separate copyright files for individual packages.

Available diffs

Superseded in intrepid-release on 2008-07-18
libtool (1.5.26-4) unstable; urgency=low

  * Also don't build-depend on gcj on alpha and hppa (Closes: #477890)

Superseded in intrepid-release on 2008-05-18
Published in hardy-release on 2008-02-08
libtool (1.5.26-1ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Drop hppa java support for now.
    - Remove build dependency on g77.
    - libtool: Suggest gfortran | fortran95-compiler instead of
      g77 | fortran77-compiler.

Superseded in hardy-release on 2008-02-08
libtool (1.5.24-2ubuntu2) hardy; urgency=low

  * Remove build dependency on g77.
  * libtool: Suggest gfortran | fortran95-compiler instead of
    g77 | fortran77-compiler.

 -- Matthias Klose <email address hidden>   Tue, 22 Jan 2008 14:03:39 +0000
Superseded in hardy-release on 2008-01-22
libtool (1.5.24-2ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:

Superseded in hardy-release on 2007-12-13
Obsolete in gutsy-release on 2011-09-16
libtool (1.5.24-1ubuntu1) gutsy; urgency=low

  * Drop hppa java support for now

 -- LaMont Jones <email address hidden>   Mon, 13 Aug 2007 15:45:18 -0600
Superseded in gutsy-release on 2007-08-14
libtool (1.5.24-1) unstable; urgency=low

  * New upstream release (Closes: #432139):
    - Remove kbsd patch, merged upstream
    - Support -export-symbols on hurd (Closes: #430973)
    - Support -Wl,--version-script on hurd (Closes: #407079)
    - Support multiple libs with the same name (Closes: #348558)
  * Change patch system from dpatch to quilt.
  * Use gcj on all arches execpt hurd
  * Switch to automake1.10
  * Change Standards-Version to 3.7.2.2, no changes required.
  * Change DH_COMPAT to a debian/compat file with 4 in it.

 -- Matthias Klose <email address hidden>   Wed,  01 Aug 2007 13:58:47 +0100
Superseded in gutsy-release on 2007-08-01
libtool (1.5.22-4build1) gutsy; urgency=low

  * No-change upload to build against a sane dpkg-architecture.

 -- Adam Conrad <email address hidden>   Wed,  1 Aug 2007 15:50:22 +1000
Superseded in gutsy-release on 2007-08-01
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
libtool (1.5.22-4) unstable; urgency=low

  * Change gcj build dependency to not !kfreebsd-amd64
    (Closes: #356388)

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libtool (1.5.22-2) unstable; urgency=low


  * Remove a "--" line from the generate tag for BINCC.  It
    resulted in "--: command not found" error.  Thanks to 
    John V. Belmonte for reporting it and Ralf Wildenhues
    for the fix.  (Closes: #345607)

 -- Kurt Roeckx <email address hidden>  Mon,  9 Jan 2006 16:06:58 +0100
Superseded in dapper-release on 2006-01-31
libtool (1.5.22-1) unstable; urgency=low


  * New upstream release
    - libtoolize --ltdl now fails if libltdl3-dev is not installed. 
      (Closes: #344756)
  * Also set link_all_deplibs to no on kfreebsd*-gnu.  Patch from
    Aurelien Jarno <email address hidden>  (Closes: #341978)

 -- Kurt Roeckx <email address hidden>  Mon, 26 Dec 2005 13:36:48 +0100
Superseded in dapper-release on 2006-01-31
libtool (1.5.20-2) unstable; urgency=low


  * Add a conflict on libtool1.4 for libltdl3-dev.  They have overlapping
    files and libtool1.4 should get removed anyway.  (Closes: #329697)
  * Put usr/share/libtool/libltdl in the libltdl3-dev, so libtoolize --ltdl
    works again
  * Don't build-depend gcj on kfreebsd-i386, they don't have it.
    (Closes: #329703)
  * Change Standards-Version to 3.6.2, no changes.

 -- Kurt Roeckx <email address hidden>  Sun, 25 Sep 2005 16:16:17 +0200
Obsolete in breezy-release on 2008-03-25
libtool (1.5.6-6) unstable; urgency=low


  * Orphan.

 -- Scott James Remnant <email address hidden>  Fri,  1 Apr 2005 01:28:13 +0100
Obsolete in hoary-release on 2008-03-19
libtool (1.5.6-5) unstable; urgency=low


  * Apply patch from upstream to allow five digits in version-info.

 -- Scott James Remnant <email address hidden>  Tue,  8 Mar 2005 18:12:26 +0000
Obsolete in warty-release on 2008-01-09
libtool (1.5.6-2) unstable; urgency=low


  * Apply patch from Joel Baker to support Debian GNU/kNetBSD systems
    with *-*-netbsdelf-gnu triplet.  Closes: #244770.
  * Fail earlier on invalid version_type so we output a useful error
    message.  Closes: #247169.
  * Skip the Non-PIC test on x86-64, it can't handle Non-PIC code inside
    shared libraries.  Closes: #246746.

 -- Scott James Remnant <email address hidden>  Tue,  6 Jul 2004 17:52:19 +0100
142 of 42 results